Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class RootPaneContainerFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory

    abstract class RootPaneContainerFactory
    extends AbstractFactory

Field Summary
`static java.lang.String` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON`
`static java.lang.String` | `DELEGATE_PROPERTY_DEFAULT_BUTTON`

Method Summary
`void` | `handleRootPaneTasks(FactoryBuilderSupport builder, java.awt.Window container, java.util.Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)`
`void` | `setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final java.lang.String DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON

### DELEGATE_PROPERTY_DEFAULT_BUTTON

    public static final java.lang.String DELEGATE_PROPERTY_DEFAULT_BUTTON

Method Detail

### handleRootPaneTasks

    void handleRootPaneTasks(FactoryBuilderSupport builder, java.awt.Window container, java.util.Map attributes)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)

### setChild

    void setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation